Version 48.4
~~~~~~~~~~~~
Released: 2025-08-01

This is a stable release with the following change:
 * Improve update notifications

This release also updates translation:
 * Chinese (Taiwan) (Cheng-Chia Tseng)
 * Russian (Artur S0)

Version 48.3
~~~~~~~~~~~~
Released: 2025-06-27

This is a stable release with the following change:
 * Fix crash on application shutdown

This release also updates translation:
 * Chinese (Taiwan) (Cheng-Chia Tseng)

Version 48.2
~~~~~~~~~~~~
Released: 2025-06-02

This is a stable release with the following changes:
 * Improve memory fragmentation after checking for updates

This release also updates translations:
 * Czech (Daniel Rusek)
 * French (Vincent Chatelain)
 * Hindi (Scrambled 777)
 * Japanese (Takayuki Kusano)
 * Latvian (Rūdolfs Mazurs)
 * Swedish (Anders Jonsson)

Version 48.1
~~~~~~~~~~~~
Released: 2025-04-10

This is a stable release with the following changes:
 * Improve contrast of some app safety ratings in dark mode
 * Improve error handling when fetching app reviews

This release also updates translations:
 * English (United Kingdom) (Andi Chandler)
 * German (Philipp Kiemle, Martin Wagner)
 * Kabyle (Athmane MOKRAOUI)
 * Nepali (Pawan Chitrakar)
 * Panjabi (A S Alam)
 * Ukrainian (Yuri Chornoivan)
 * Uzbek (Baxrom Raxmatov)
 * Vietnamese (Cas Pascal)

Version 48.0
~~~~~~~~~~~~
Released: 2025-03-14

This is a stable release with the following changes:
 * Correctly show update detail text not provided in markdown

This release also updates translations:
 * Basque (Asier Saratsua Garmendia)
 * Belarusian (Vasil Pupkin)
 * Bokmål, Norwegian (Brage Fuglseth)
 * Catalan (Jordi Mas i Hernandez, Francesc Busquets)
 * Danish (Alan Mortensen)
 * Filipino (Iverson Briones)
 * Hungarian (Balázs Úr)
 * Indonesian (Andika Triwidada)
 * Nepali (Pawan Chitrakar)
 * Panjabi (A S Alam)
 * Polish (Piotr Drąg)
 * Romanian (Antonio Marin)
 * Russian (Artur S0)
 * Spanish (Daniel Mustieles)

Version 48~rc
~~~~~~~~~~~~~
Released: 2025-02-28

This is an unstable release with the following changes:
 * Minor interface improvements on the updates page
 * Various minor performance improvements
 * Improve error handling for app launches and distribution upgrades
 * Fix a crash on the app review dialog
 * Fix version checks preventing some firmware updates when historical updates are also listed
 * Fix a crash when copying error details
 * Minor interface improvements to search
 * Improvements to flatpak permissions checking for D-Bus

This release also updates translations:
 * Bulgarian (twlvnn kraftwerk)
 * Catalan (Jordi Mas)
 * Chinese (China) (Luming Zh)
 * Chinese (Taiwan) (Cheng-Chia Tseng)
 * Czech (Daniel Rusek)
 * Finnish (Jiri Grönroos)
 * French (Vincent Chatelain)
 * Galician (Fran Dieguez)
 * Georgian (Ekaterine Papava)
 * Hebrew (Yaron Shahrabani)
 * Korean (Seong-ho Cho)
 * Lithuanian (Aurimas Černius)
 * Persian (Danial Behzadi)
 * Portuguese (Hugo Carvalho)
 * Portuguese (Brazil) (Rafael Fontenelle)
 * Russian (Artur S0)
 * Slovenian (Martin)
 * Swedish (Anders Jonsson)
 * Turkish (Sabri Ünal)
 * Ukrainian (Yuri Chornoivan)

Version 48~beta
~~~~~~~~~~~~~~~
Released: 2025-01-31

This is an unstable release with the following changes:
 * Support installing flatpaks via a flatpak+https: link
 * Fix notifying about outdated updates when in power saver mode or offline
 * Prioritise verified apps in source list

This release also updates translations:
 * Bulgarian (twlvnn kraftwerk)
 * Czech (Daniel Rusek)
 * Russian (Artur S0)
 * Slovenian (Martin)

Version 48~alpha3
~~~~~~~~~~~~~~~~~
Released: 2025-01-14

This is an unstable release with the following changes:
 * Fix downloads of firmware updates
 * Fix the release process

This release also updates translations:
 * Belarusian (Vasil Pupkin)
 * Slovenian (Martin)

Version 48~alpha2
~~~~~~~~~~~~~~~~~
Released: 2025-01-04

This is an unstable release with the following changes:
 * Fix the release process

Version 48~alpha
~~~~~~~~~~~~~~~~
Released: 2025-01-04

This is an unstable release with the following changes:
 * Include dependencies in estimated download size
 * Improve performance when loading updates
 * Fix interface freeze when upvoting/downvoting reviews
 * Various minor interface improvements for keyboard navigation and small screens
 * Fix crash when uninstalling snaps
 * Add experimental systemd-sysupdate plugin
 * Warn about microphone permissions if an app has PipeWire access

This release also updates translations:
 * Belarusian (Vasil Pupkin)
 * Catalan (Jordi Mas i Hernandez, Jordi Mas)
 * Dutch (Nathan Follens)
 * French (Vincent Chatelain)
 * Friulian (Fabio Tomat)
 * German (Jürgen Benvenuti)
 * Hebrew (Yaron Shahrabani)
 * Kabyle (Athmane MOKRAOUI)
 * Latvian (Rūdolfs Mazurs)
 * Portuguese (Hugo Carvalho)
 * Portuguese (Brazil) (Rafael Fontenelle)
 * Russian (Artur S0)
 * Serbian (Марко Костић, Милош Поповић)
 * Slovak (Jose Riha)
 * Slovenian (Martin)
 * Thai (Aefgh Threenine)
 * Turkish (Sabri Ünal)
 * Ukrainian (Yuri Chornoivan)

Version 47.0
~~~~~~~~~~~~
Released: 2024-09-12

This is a stable release with the following changes:
 * Do not install example featured software lists by default (packagers should use gnome-app-list
   instead)

This release also updates translations:
 * Bokmål, Norwegian (Brage Fuglseth)
 * Bulgarian (twlvnn kraftwerk, Alexander Shopov)
 * Catalan (Jordi Mas i Hernandez)
 * Czech (Daniel Rusek)
 * Danish (Alan Mortensen)
 * English (United Kingdom) (Bruce Cowan)
 * Galician (Fran Dieguez)
 * Hungarian (Balázs Úr)
 * Indonesian (Andika Triwidada)
 * Italian (Davide Ferracin)
 * Kazakh (Baurzhan Muftakhidinov)
 * Lithuanian (Aurimas Černius)
 * Occitan (post 1500) (Quentin PAGÈS)
 * Polish (Piotr Drąg)
 * Portuguese (Hugo Carvalho)
 * Portuguese (Brazil) (Juliano de Souza Camargo)
 * Spanish (Daniel, Daniel Mustieles)
 * Swedish (Anders Jonsson)
 * Thai (Aefgh Threenine)
 * Turkish (Emin Tufan Çetin)

Version 47~rc
~~~~~~~~~~~~~
Released: 2024-08-30

This is an unstable release with the following changes:
 * Update help pages and add some translations of them
 * Correct tooltips of review voting buttons
 * Lower power consumption when certain pages are not visible

This release also updates translations:
 * Basque (Asier Sarasua Garmendia)
 * Belarusian (Vasil Pupkin)
 * Bokmål, Norwegian (Brage Fuglseth)
 * Chinese (China) (Luming Zh)
 * Czech (Daniel Rusek)
 * Finnish (Jiri Grönroos)
 * Georgian (Ekaterine Papava)
 * German (Jürgen Benvenuti, Tim Sabsch)
 * Greek, Modern (1453-) (Giannis Antypas)
 * Hindi (Scrambled 777)
 * Korean (Seong-ho Cho)
 * Persian (Danial Behzadi)
 * Portuguese (Brazil) (Rafael Fontenelle, Juliano de Souza Camargo)
 * Russian (Artur S0)
 * Slovak (Matej Mrenica)
 * Turkish (Sabri Ünal)
 * Ukrainian (Yuri Chornoivan)

Version 47~beta
~~~~~~~~~~~~~~~
Released: 2024-08-02

This is an unstable release with the following changes:
 * Shorten text in some notifications
 * Fix Orca not reading the contents in Preferences dialog
 * Enhance behavior of a review row
 * Added plugin to ease installation of DKMS and akmods key with enabled Secure Boot

This release also updates translations:
 * Greek, Modern (1453-) (Efstathios Iosifidis)
 * Hebrew (Yaron Shahrabani, Yosef Or Boczko)
 * Hindi (Scrambled 777)
 * Slovenian (Martin)

Version 47~alpha
~~~~~~~~~~~~~~~~
Released: 2024-06-28

This is an unstable release with the following changes:
 * Fix a crash when updating apps when built with Mogwai
 * Fix a crash when installing flatpak application
 * Correct desktop/mobile hardware support detection
 * Correct state of Fedora upgrade
 * Several fixes in historical updates for rpm-ostree
 * Fix a crash when no appstream data is found
 * Correct app safety calculation
 * Correct Flatpak system and user apps recognition
 * Slightly speed-up rpm-ostree metadata refresh
 * Show "Install All" button only for codecs
 * Prefer vendor name from os release in app origin
 * Make more jobs asynchronous
 * Port to recent Adwaita widgets

This release also updates translations:
 * Catalan (Jordi Mas i Hernandez)
 * Chinese (China) (Boyuan Yang)
 * Czech (Daniel Rusek)
 * Dutch (Nathan Follens)
 * Friulian (Fabio Tomat)
 * Georgian (Ekaterine Papava)
 * Hebrew (Yosef Or Boczko)
 * Kabyle (Athmane MOKRAOUI)
 * Panjabi (A S Alam)
 * Portuguese (Hugo Carvalho)
 * Russian (Artur S0)
 * Serbian (Милош Поповић)
 * Slovenian (Martin)
 * Spanish (Daniel Mustieles)
 * Turkish (Sabri Ünal)
 * Ukrainian (Yuri Chornoivan)

Version 46.0
~~~~~~~~~~~~
Released: 2024-03-15

This is a stable release with the following changes:
 * Improvements for screen readers
 * Stop ‘loading updates’ in a loop on Debian

This release also updates translations:
 * Czech (Daniel Rusek)
 * Danish (Alan Mortensen)
 * Finnish (Jiri Grönroos)
 * French (Vincent Chatelain)
 * Galician (Fran Dieguez)
 * Georgian (Ekaterine Papava)
 * Hungarian (Balázs Úr)
 * Indonesian (Kukuh Syafaat)
 * Korean (Seong-ho Cho)
 * Latvian (Rūdolfs Mazurs)
 * Persian (Danial Behzadi)
 * Polish (Piotr Drąg)
 * Portuguese (Brazil) (Juliano de Souza Camargo)
 * Russian (Artur S0)
 * Swedish (Anders Jonsson)
 * Thai (Aefgh Threenine)
 * Turkish (Emin Tufan Çetin)

Version 46~rc
~~~~~~~~~~~~~
Released: 2024-03-01

This is an unstable release with the following changes:
 * Various UI text improvements
 * Fix launch of some apps
 * Fix invalid app state after it's uninstalled
 * Fix read of app description text
 * Do not ask to reboot after failed firmware update

This release also updates translations:
 * Basque (Asier Sarasua Garmendia)
 * Belarusian (Vasil Pupkin)
 * Bokmål, Norwegian (Brage Fuglseth)
 * Catalan (Jordi Mas, Quique Serrano)
 * Chinese (China) (Boyuan Yang)
 * Czech (Daniel Rusek)
 * Dutch (Nathan Follens)
 * English (United Kingdom) (Andi Chandler)
 * Galician (Fran Dieguez)
 * Georgian (Ekaterine Papava)
 * German (Jürgen Benvenuti, Philipp Kiemle)
 * Hebrew (Yaron Shahrabani)
 * Indonesian (Kukuh Syafaat)
 * Kazakh (Baurzhan Muftakhidinov)
 * Latvian (Rūdolfs Mazurs)
 * Lithuanian (Aurimas Černius)
 * Occitan (post 1500) (Quentin PAGÈS)
 * Persian (Danial Behzadi)
 * Russian (Artur S0)
 * Slovenian (Matej Urbančič)
 * Spanish (Daniel Mustieles)
 * Thai (Aefgh Threenine)
 * Turkish (Sabri Ünal)
 * Ukrainian (Yuri Chornoivan)

Version 46~beta
~~~~~~~~~~~~~~~
Released: 2024-02-09

This is an unstable release with the following changes:
 * Show feedback for all conditions that pause automatic updates
 * Various UI improvements and move to new libadwaita widgets
 * Fix loading OS AppStream catalog data if it is available as YAML
 * Add openSUSE Leap distro upgrade plugin

This release also updates translations:
 * Basque (Asier Sarasua Garmendia)
 * Belarusian (Vasil Pupkin)
 * Czech (Daniel Rusek)
 * Galician (Fran Dieguez)
 * Hebrew (Yosef Or Boczko)
 * Persian (Danial Behzadi)
 * Portuguese (Brazil) (Juliano de Souza Camargo)
 * Russian (Artur S0)
 * Turkish (Sabri Ünal)

Version 46~alpha
~~~~~~~~~~~~~~~~
Released: 2024-01-05

This is an unstable release with the following changes:
 * Recognize links in package update descriptions
 * Expose package names discreetly in the UI
 * Increase speed of load of the category pages
 * Improve search match with multiple words
 * Recognize verified apps by Flathub
 * Correct message when installing firmware updates
 * Improve application safety checks
 * Improve update preferences dialog
 * Fix deadlock when cancelling app update
 * Support user installation of local flatpak files
 * Fix apps appearing unsorted and without tiles in category page

This release also updates translations:
 * Basque (Asier Sarasua Garmendia)
 * Chinese (China) (Boyuan Yang)
 * Chinese (Taiwan) (Andre Klapper)
 * Czech (Daniel Rusek)
 * Friulian (Fabio Tomat)
 * Georgian (Ekaterine Papava)
 * German (Jürgen Benvenuti)
 * Hebrew (Yosef Or Boczko)
 * Persian (Danial Behzadi)
 * Romanian (Florentina Mușat)
 * Russian (Artur S0)
 * Turkish (Emin Tufan Çetin, Sabri Ünal)
 * Ukrainian (Yuri Chornoivan)
 * Vietnamese (Ngọc Quân Trần)

Version 45.0
~~~~~~~~~~~~
Released: 2023-09-15

This is a stable release with the following changes:
 * Fix a crash when downloading resources from the Internet
 * Fix a crash after cancelled Restart request
 * Correct safety rating for KDE apps
 * Correct version history widgets visibility in the details page

This release also updates translations:
 * Catalan (Jordi Mas)
 * Greek, Modern (1453-) (Efstathios Iosifidis)
 * Hebrew (Yosef Or Boczko)
 * Hungarian (Balázs Úr)
 * Indonesian (Kukuh Syafaat)
 * Korean (Seong-ho Cho)
 * Occitan (post 1500) (Quentin PAGÈS)
 * Panjabi (A S Alam)
 * Slovenian (Matej Urbančič)
 * Spanish (Daniel Mustieles)
 * Swedish (Anders Jonsson)
 * Turkish (Emin Tufan Çetin)

Version 45~rc
~~~~~~~~~~~~~
Released: 2023-09-01

This is an unstable release with the following changes:
 * Fix firmware's 'Restart & Update' to ask for the restart
 * Fix app getting unresponsive when loading screenshots
 * Improve performance for PackageKit plugin search-by-file
 * Improve app license display
 * Improve search to also check for 'contains' words
 * Various minor styling updates

This release also updates translations:
 * Basque (Asier Sarasua Garmendia)
 * Belarusian (Vasil Pupkin)
 * Catalan (Jordi Mas)
 * Chinese (China) (Luming Zh, Boyuan Yang)
 * Czech (Daniel Rusek)
 * Danish (Alan Mortensen)
 * Dutch (Nathan Follens)
 * Finnish (Jiri Grönroos)
 * Galician (Fran Dieguez)
 * Georgian (Ekaterine Papava)
 * German (Philipp Kiemle, Christian Kirbach)
 * Greek, Modern (1453-) (Efstathios Iosifidis)
 * Hebrew (Yosef Or Boczko)
 * Hungarian (Balázs Úr)
 * Indonesian (Andika Triwidada, Kukuh Syafaat)
 * Kazakh (Baurzhan Muftakhidinov)
 * Lithuanian (Aurimas Černius)
 * Panjabi (Amn Alam)
 * Persian (Danial Behzadi)
 * Polish (Piotr Drąg)
 * Portuguese (Hugo Carvalho)
 * Russian (Artur S0, Artur So)
 * Spanish (Daniel Mustieles)
 * Turkish (Sabri Ünal)
 * Ukrainian (Yuri Chornoivan)

Version 45~beta
~~~~~~~~~~~~~~~
Released: 2023-07-30

This is an unstable release with the following changes:
 * Improve error notifications from failed GPG checks
 * Disable animations in the UI according to the user’s accessibility settings
 * Fix applying updates which require some packages to be removed to satisfy dependencies
 * Stop using the software repositories dialog provided by the distribution, and always use GNOME
   Software’s inbuilt dialog; this will affect Debian and Ubuntu

This release also updates translations:
 * Belarusian (Vasil Pupkin)
 * Chinese (China) (Luming Zh)
 * Czech (Daniel Rusek)
 * English (United Kingdom) (Bruce Cowan)
 * French (Guillaume Bernard)
 * Friulian (Fabio Tomat)
 * Georgian (Ekaterine Papava)
 * Greek, Modern (1453-) (Efstathios Iosifidis)
 * Hebrew (Yosef Or Boczko)
 * Hungarian (Balázs Úr)
 * Lithuanian (Aurimas Černius)
 * Persian (Danial Behzadi)
 * Turkish (Sabri Ünal)
 * Ukrainian (Yuri Chornoivan)

Version 45~alpha
~~~~~~~~~~~~~~~~
Released: 2023-06-30

This is an unstable release with the following changes:
 * Indicate when OS updates includes security fixes
 * Ask whether to clear app storage for Flatpak apps on uninstall
 * Show a notification when system updates are downloaded
 * Advertise if an installed Flatpak app has reached end of life
 * Revamp Safety ratings
 * Fix slow Repositories dialog open
 * Fix card view and key navigation in the Explore page
 * Fix a crash on startup in GNOME OS
 * Fix navigation between "Other Apps by Developer" in the Details page
 * Fix a crash when refining a Flatpak app
 * Fix a state recover after a failed app update

This release also updates translations:
 * Basque (Asier Sarasua Garmendia)
 * Catalan (Jordi Mas i Hernandez)
 * Czech (Daniel Rusek)
 * Finnish (Jiri Grönroos)
 * Friulian (Fabio Tomat)
 * Georgian (Ekaterine Papava)
 * Hebrew (Yosef Or Boczko)
 * Italian (Gianvito Cavasoli)
 * Occitan (post 1500) (Quentin PAGÈS)
 * Persian (Danial Behzadi)
 * Polish (Piotr Drąg)
 * Portuguese (Hugo Carvalho)
 * Russian (Aleksandr Melman)
 * Slovenian (Martin)
 * Turkish (Sabri Ünal)

Version 44.1
~~~~~~~~~~~~
Released: 2023-04-21

This is a stable release with the following changes:
 * Fix firmware updates state change after update
 * Fix origin reference information for PackageKit apps
 * Fix a crash after dismissing firmware update warning dialog
 * Fix a crash on repo removal

This release also updates translations:
 * Basque (Asier Sarasua Garmendia)
 * Bulgarian (Alexander Shopov)
 * Chinese (China) (Boyuan Yang)
 * Chinese (Taiwan) (Chao-Hsiung Liao)
 * Czech (Petr Kovář, Daniel Rusek)
 * Dutch (Nathan Follens)
 * French (Guillaume Bernard)
 * Occitan (post 1500) (Quentin PAGÈS)
 * Persian (Danial Behzadi)
 * Slovenian (Martin)
 * Vietnamese (Ngọc Quân Trần)

Version 44.0
~~~~~~~~~~~~
Released: 2023-03-16

This is a stable release with the following changes:
 * Fix missing separators in system updates dialog

This release also updates translations:
 * Bulgarian (Alexander Shopov)
 * Catalan (Jordi Mas)
 * Danish (Alan Mortensen)
 * English (United Kingdom) (Bruce Cowan)
 * Friulian (Fabio Tomat)
 * Hebrew (Yosef Or Boczko)
 * Korean (Seong-ho Cho)
 * Polish (Piotr Drąg)
 * Russian (Aleksandr Melman)
 * Slovenian (Martin, Matej Urbančič)
 * Swedish (Anders Jonsson)

Version 44~rc
~~~~~~~~~~~~~
Released: 2023-03-03

This is an unstable release with the following changes:
 * Fix a crash during install of a firmware update
 * Fix notifications of a prepared update
 * Fix cancellation of an update
 * Update details page on app job start/end
 * Fix a crash after cancelling of a single package update

This release also updates translations:
 * Basque (Asier Sarasua Garmendia)
 * Belarusian (Vasil Pupkin)
 * Bokmål, Norwegian (Kjartan Maraas)
 * Catalan (Jordi Mas)
 * Finnish (Jiri Grönroos)
 * Friulian (Fabio Tomat)
 * Galician (Fran Dieguez)
 * Georgian (Ekaterine Papava)
 * German (Jürgen Benvenuti, Philipp Kiemle)
 * Hebrew (Yosef Or Boczko, Yaron Shahrabani)
 * Hungarian (Balázs Úr)
 * Indonesian (Andika Triwidada, Kukuh Syafaat)
 * Lithuanian (Aurimas Černius)
 * Occitan (post 1500) (Quentin PAGÈS)
 * Portuguese (Hugo Carvalho)
 * Spanish (Daniel, Daniel Mustieles)
 * Turkish (Sabri Ünal)
 * Ukrainian (Yuri Chornoivan)

Version 44~beta
~~~~~~~~~~~~~~~
Released: 2023-02-13

This is an unstable release with the following changes:
 * Add a preference for only showing freely-licensed apps
 * Improve design of Install/Uninstall buttons for app addons
 * Fix loading flatpak bundles if a runtime is missing
 * Improvements to the UI for ratings and reviews
 * Fix refreshing the details page after searching for an app
 * Improve choice of icons for apps where a themed icon is available
 * Improve performance of downloading remote icons significantly

This release also updates translations:
 * Basque (Asier Sarasua Garmendia)
 * Belarusian (Vasil Pupkin)
 * Galician (Fran Dieguez)
 * Georgian (Ekaterine Papava)
 * German (Jürgen Benvenuti)
 * Hebrew (Yosef Or Boczko, Yaron Shahrabani)
 * Indonesian (Andika Triwidada)
 * Lithuanian (Aurimas Černius)
 * Occitan (post 1500) (Quentin PAGÈS)
 * Portuguese (Hugo Carvalho)
 * Russian (Aleksandr Melman)
 * Spanish (Philip Withnall, Daniel Mustieles)
 * Turkish (Sabri Ünal, Emin Tufan Çetin)
 * Ukrainian (Yuri Chornoivan)
 * Vietnamese (Ngọc Quân Trần)

Version 44~alpha
~~~~~~~~~~~~~~~~
Released: 2023-01-06

This is an unstable release with the following changes:
 * Allow automatically removing unneeded runtimes
 * Show changelogs for rpm-ostree updates
 * Limit the maximum description length in context tiles
 * Support a less-prominent UI for regular updates for image-based OSs
 * Improvements to error notification display
 * Reduce reloading/refreshing of view when installing apps
 * Minor usability improvements to review lists and adding a review
 * Stop using libdnf in rpm-ostree backend
 * UI polish on app source chooser
 * Fix distro upgrades
 * Fix system-wide external AppStream support
 * UI polish on Incompatible Software dialog
 * Fix opening web apps
 * Fix notifying about available firmware updates
 * Improve scaling of Explore page on phones
 * Add a placeholder to search entry
 * Fix repo authentication dialog
 * Periodically refresh cached app icons
 * Improve labels and tooltips on Updates page
 * Annotate firmware updates with their release urgency
 * Adapt to GTK API deprecations
 * Use the OS logo for minor update rows for image-based OSs
 * Change ‘application’ to ‘app’ in translatable strings
 * Stop notifying about unprepared critical updates
 * Show the ‘Learn More’ link for larger updates of image-based OSs if provided
 * Add translations for more firmware device categories

This release also updates translations:
 * Abkhazian (Nart Tlisha)
 * Belarusian (Vasil Pupkin)
 * Catalan (Jordi Mas)
 * Chinese (Taiwan) (Cheng-Chia Tseng)
 * Croatian (Goran Vidović)
 * Czech (Daniel Rusek)
 * French (Claude Paroz)
 * Friulian (Fabio Tomat)
 * Georgian (Zurab Kargareteli)
 * German (Philipp Kiemle, Jürgen Benvenuti)
 * Greek, Modern (1453-) (Kosmas Martakidis)
 * Hebrew (Yosef Or Boczko)
 * Hungarian (Balázs Úr)
 * Icelandic (Sveinn í Felli)
 * Interlingue (Olga Smirnova)
 * Italian (Gianvito Cavasoli)
 * Kazakh (Baurzhan Muftakhidinov)
 * Panjabi (A S Alam)
 * Persian (Danial Behzadi)
 * Russian (Aleksandr Melman)
 * Slovenian (Matej Urbančič)
 * Turkish (Sabri Ünal)
 * Ukrainian (Yuri Chornoivan)

Version 43.1
~~~~~~~~~~~~
Released: 2022-10-21

This is a stable release with the following changes:
 * Fix searches not completing if installing or uninstalling an app at the same time
 * Notify of errors when running a flatpak app whose runtime is missing
 * Fix installing local RPM packages
 * Fix distribution upgrades when package conflicts are present
 * Fix opening web apps from their details page
 * Improve appearance of app ratings if ratings data cannot be downloaded
 * Fix crash when showing offline update errors on startup
 * Highlight priority of firmware updates, making security fixes more obvious
 * Fix installation of pending apps in some situations
 * Fix downloading of rpm-ostree app updates from the Updates page

This release also updates translations:
 * Abkhazian (Nart Tlisha)
 * Catalan (Jordi Mas)
 * Chinese (Taiwan) (Cheng-Chia Tseng)
 * Croatian (Goran Vidović)
 * French (Claude Paroz)
 * Friulian (Fabio Tomat)
 * Georgian (Zurab Kargareteli)
 * German (Philipp Kiemle, Jürgen Benvenuti)
 * Icelandic (Sveinn í Felli)
 * Italian (Gianvito Cavasoli)
 * Kazakh (Baurzhan Muftakhidinov)
 * Panjabi (A S Alam)
 * Slovenian (Matej Urbančič)

Version 43.0
~~~~~~~~~~~~
Released: 2022-09-16

This is a stable release with translation updates:
 * Bulgarian
 * Catalan
 * Chinese (Taiwan)
 * Czech
 * English (United Kingdom)
 * Galician
 * Georgian
 * German
 * Hebrew
 * Hungarian
 * Icelandic
 * Latvian
 * Lithuanian
 * Nepali
 * Serbian
 * Slovenian
 * Spanish
 * Swedish

Version 43~rc
~~~~~~~~~~~~~
Released: 2022-09-02

This is the third unstable release for GNOME 43.
 * Supports video as a screenshot
 * Improvements of source picker in the details page
 * Fixes a bug when viewing details of a package file
 * Fixes a bug when reading certain .flatpakref file

This release also updates translations:
 * Abkhazian
 * Basque
 * Catalan
 * Chinese (China)
 * Croatian
 * Danish
 * Dutch
 * Finnish
 * Galician
 * Georgian
 * Hebrew
 * Icelandic
 * Indonesian
 * Korean
 * Lithuanian
 * Persian
 * Polish
 * Portuguese
 * Portuguese (Brazil)
 * Russian
 * Serbian
 * Spanish
 * Turkish
 * Ukrainian

Version 43~beta
~~~~~~~~~~~~~~~
Released: 2022-08-05

This is the second unstable release for GNOME 43.
 * Various fixes related to changed threading model
 * Various UI parts updated
 * Sources dropdown had been reworked
 * Fixes a rare crash when showing app details

This release also updates translations:
 * Abkhazian
 * Catalan
 * Chinese (China)
 * Dutch
 * Georgian
 * Hebrew
 * Indonesian
 * Italian
 * Lithuanian
 * Persian
 * Portuguese
 * Russian
 * Serbian
 * Spanish
 * Turkish
 * Ukrainian
 * Vietnamese

Version 43~alpha
~~~~~~~~~~~~~~~~
Released: 2022-06-30

This is the first unstable release for GNOME 43.
 * Various improvements to notifications
 * Fix several crashes when handling flatpak apps
 * Add ‘Other Apps by Author’ section in the app details page
 * Improve styling of app context lozenges
 * Add ‘Available for Distro’ section to the overview page (if configured by your distribution)
 * Show more details about file system permissions requested by flatpak apps
 * Show more types of URI from app metainfo
 * Fix a few issues when using a dark mode theme
 * Fix some issues with arrows in right-to-left locales
 * Fix language pack installation for certain locales
 * Improve debug output to make user bug reports more useful
 * Add `--uninstall=ID` command line option
 * Allow scrolling screenshots by clicking on next and previous screenshots
 * Add support for webapps
 * Allow swiping back in the shell using touch gestures
 * Improved caching of downloaded metadata
 * Many internal architectural changes to make the code more maintainable
 * The popular-overrides GSettings key has been removed; distribution vendors wishing to mark
   their apps as popular should see `doc/vendor-customisation.md` for examples of how to do this
   now
 * The hardcoded_popular Meson option has been renamed to hardcoded_curated.

This release also updates translations:
 * Basque
 * Bulgarian
 * Catalan
 * Chinese (China)
 * Chinese (Taiwan)
 * Croatian
 * Czech
 * Danish
 * Dutch
 * English (United Kingdom)
 * Finnish
 * French
 * Friulian
 * Galician
 * Georgian
 * German
 * Hebrew
 * Hungarian
 * Indonesian
 * Lithuanian
 * Nepali
 * Occitan (post 1500)
 * Persian
 * Polish
 * Portuguese
 * Portuguese (Brazil)
 * Russian
 * Serbian
 * Slovenian
 * Spanish
 * Swedish
 * Turkish
 * Ukrainian
 * Vietnamese

Version 42.0
~~~~~~~~~~~~
Released: 2022-03-18

This is a stable release with the following changes:
 * Various fixes related to changed threading model
 * Added several appstream-related fixes

This release also updates translations:
 * Basque
 * Bokmål, Norwegian
 * Bulgarian
 * Catalan
 * Chinese (China)
 * Danish
 * Finnish
 * French
 * German
 * Hebrew
 * Hungarian
 * Japanese
 * Kazakh
 * Lithuanian
 * Occitan (post 1500)
 * Persian
 * Polish
 * Russian
 * Serbian
 * Slovenian
 * Swedish

Version 42~rc
~~~~~~~~~~~~~
Released: 2022-03-04

This is the third unstable release for GNOME 42.
 * Cancel ongoing update downloads when system power is low
 * Numerous small user interface fixes and tweaks
 * Prioritize full matches in search results
 * Improvements in dark mode
 * Fix disabling flatpak remotes from the ‘Software Repositories’ dialog
 * Threading and performance improvements which should reduce the number of user interface freezes
 * Update some icons
 * Check for updates when moving from a metered to a non-metered network connection

This release also updates translations:
 * Basque
 * Catalan
 * Chinese (China)
 * Croatian
 * Czech
 * Danish
 * Friulian
 * Galician
 * Hebrew
 * Indonesian
 * Korean
 * Lithuanian
 * Persian
 * Portuguese
 * Portuguese (Brazil)
 * Russian
 * Slovenian
 * Spanish
 * Turkish
 * Ukrainian

Version 42~beta
~~~~~~~~~~~~~~~
Released: 2022-02-10

This is the second unstable release for GNOME 42.
 * Allow --verbose to be enabled at runtime
 * Condense the rows in the age rating context dialog
 * Update the UI for ratings and reviews of apps
 * Improve the appearance of the category page loading screen
 * Drop the first run dialog
 * Improvements to dark theming
 * Support viewing a specific metainfo file using --show-metainfo
 * Several more threading improvements
 * Icon updates
 * Drop the hardcoded-popular plugin in favour of an appstream file
 * The background image for upgrades is now looked for using several well-known (and
   distribution-specific) names in ${DATADIR}/gnome-software/backgrounds, and the previous
   Fedora-specific default background image is no longer distributed. Similarly, the
   upgrade-background-uri GSettings key has been removed. Distributions may need to update how
   they ship background images. See doc/vendor-customisation.md.

This release also updates translations:
 * Chinese (China)
 * Galician
 * Hebrew
 * Icelandic
 * Indonesian
 * Japanese
 * Occitan (post 1500)
 * Portuguese
 * Portuguese (Brazil)
 * Russian
 * Slovenian
 * Spanish
 * Ukrainian

Version 42~alpha
~~~~~~~~~~~~~~~~
Released: 2022-01-07

This is the first unstable release for GNOME 42.
 * Various UI parts updated
 * Support more markup in the application description
 * Ask about package signature with PackageKit on signing issue
 * Show better System Update progress
 * Remove various cultural sensitivity badges
 * Fix a crash when processing age ratings
 * Reload application details only when not installing/removing the application
 * Do not follow symlinks when calculating disk size usage
 * Fix addons section, which could show addons for different application
 * Fix showing a ‘transaction in progress’ error when using the rpm-ostree plugin
 * Don’t recommend a reboot if firmware updates fail
 * Fix flathub repo being considered present on Fedora 35 with filtered flathub
 * Allow searching for extensions
 * Fix translation of main button on updates page
 * Fix codec installation process
 * Add new GNOME Circle apps to the featured carousel
 * Improve metadata support for snaps
 * Fix update checks being missed across suspend/hibernation
 * Ensure application lists are updated when repositories are enabled/installed or
   disabled/removed

This release also updates translations:
 * Basque
 * Belarusian
 * Bulgarian
 * Catalan
 * Chinese (China)
 * Croatian
 * Dutch
 * English (United Kingdom)
 * Friulian
 * Galician
 * German
 * Hebrew
 * Icelandic
 * Indonesian
 * Latvian
 * Lithuanian
 * Occitan (post 1500)
 * Persian
 * Portuguese
 * Portuguese (Brazil)
 * Russian
 * Serbian
 * Slovak
 * Slovenian
 * Spanish
 * Swedish
 * Turkish
 * Ukrainian
 * Vietnamese

Version 41.0
~~~~~~~~~~~~
Released: 2021-09-17

This is a stable release with the following changes:
 * Instead of showing all package-based apps as "potentially unsafe", only use that language for
   3rd party ones
 * Fix a bug where the "Show more" button on an app details page would flicker when the window is
   resized
 * Fix a bug where Software sometimes shows an Uninstall button after uninstalling something
 * Add GNOME Circle apps to the featured carousel
 * Fix a bug where Software would sometimes fail to execute an install/remove operation for
   PackageKit software rather than showing a PolicyKit password prompt
 * Fix a bug where Software would fail to upgrade the distribution via PackageKit
 * Fix the hiding of rows on the Updates tab after they have been updated

This release also updates translations:
 * Basque
 * Catalan
 * Chinese (China)
 * Croatian
 * Czech
 * Danish
 * Dutch
 * Finnish
 * French
 * Galician
 * German
 * Hungarian
 * Indonesian
 * Korean
 * Lithuanian
 * Occitan (post 1500)
 * Polish
 * Portuguese
 * Portuguese (Brazil)
 * Romanian
 * Russian
 * Slovenian
 * Spanish
 * Swedish
 * Ukrainian

Version 41~rc
~~~~~~~~~~~~~
Released: 2021-09-07

This is the third unstable release for GNOME 41.
 * Tweaks to the context tiles and dialogs
 * Fixes to the details page for non-desktop apps
 * Re-add support for the add-ons categories
 * Sort new and updated apps by release date on the category page

This release also updates translations:
 * Basque
 * Catalan
 * Chinese (China)
 * Chinese (Taiwan)
 * Croatian
 * English (United Kingdom)
 * Finnish
 * Galician
 * Indonesian
 * Kazakh
 * Korean
 * Lithuanian
 * Occitan (post 1500)
 * Persian
 * Portuguese
 * Portuguese (Brazil)
 * Slovenian
 * Spanish
 * Swedish
 * Ukrainian

Version 41~beta
~~~~~~~~~~~~~~~
Released: 2021-08-13

This is the second unstable release for GNOME 41.
 * Many parts of the user interface reworked
 * Fix when the 'Launch' button is shown after an application install
 * Fix appstream:// URL handling
 * Fix application freeze on Flatpak application install/remove/update
 * Disable automatic update downloads when in power saver mode

This release also updates translations:
 * Belarusian
 * Bulgarian
 * Catalan
 * Friulian
 * Galician
 * German
 * Greek, Modern (1453-)
 * Occitan (post 1500)
 * Persian
 * Portuguese
 * Portuguese (Brazil)
 * Slovenian
 * Ukrainian

Version 41~alpha
~~~~~~~~~~~~~~~~
Released: 2021-07-20

This is the first unstable release for GNOME 41.
 * Many parts of the user interface reworked
 * Improve error reporting from flatpak when low on disk space
 * Fix issues with updating the UI when uninstalling apps with add-ons
 * Don’t keep rpm-ostreed alive forever
 * Prevent polkit checks showing up for background operations
 * Disallow submitting reviews for an app you haven’t installed
 * Show download size in the Updates page
 * Notify when restart is needed when uninstalling an app
 * Fix some issues with searches not running
 * Allow non-integer average star ratings for apps
 * Reduce number of categories in the UI
 * Improve ‘pending updates’ notifications
 * Refine presentation of download and installed size on details page
 * Remove left over gnome-online-account dependencies

This release also updates translations:
 * Basque
 * Belarusian
 * Bokmål, Norwegian
 * Catalan
 * Chinese (China)
 * Chinese (Taiwan)
 * Czech
 * Dutch
 * English (United Kingdom)
 * Finnish
 * Friulian
 * German
 * Greek, Modern (1453-)
 * Hebrew
 * Italian
 * Lithuanian
 * Nepali
 * Occitan (post 1500)
 * Persian
 * Polish
 * Portuguese
 * Portuguese (Brazil)
 * Romanian
 * Russian
 * Serbian
 * Spanish
 * Swedish
 * Ukrainian

Version 40
~~~~~~~~~~
Released: 2021-03-19

This is a stable release with the following changes:
 * Fix handling of invalid or incomplete application icons
 * Fix the plugin documentation to reflect reality
 * Fix the Snap plugin to actually load icons
 * Set download size to 0 after the package is downloaded

Translation updates:
 * British English
 * Danish
 * Greek
 * Italian
 * Norwegian Bokmål
 * Polish
 * Punjabi
 * Serbian

Version 40~rc
~~~~~~~~~~~~~
Released: 2021-03-12

This is an unstable release with the following changes:
 * Implement new featured apps carousel.
 * List of Flatpak repositories is updated when changed using the Flatpak command line tool.
 * The loading page now shows the full color icon instead of the symbolic one.
 * Show release date in version history for releases that use the 'date' attribute.
 * Improved icon handling, including with hiDPI screens.
 * Fixed a bug in remembering when update notifications were shown.
 * Build as a dynamic rather than a static library, and rearrange installation paths.

Translation updates:
 * Basque
 * Catalan
 * Croatian
 * Czech
 * Dutch
 * English (United Kingdom)
 * Finnish
 * French
 * Friulian
 * Galician
 * German
 * Hungarian
 * Indonesian
 * Kazakh
 * Korean
 * Lithuanian
 * Persian
 * Portuguese
 * Portuguese (Brazil)
 * Romanian
 * Serbian
 * Slovenian
 * Spanish
 * Swedish
 * Turkish
 * Ukrainian

Version 40~beta
~~~~~~~~~~~~~~~
Released: 2021-02-16

This is an unstable release with the following changes:
 * GNOME Software now uses libappstream instead of libappstream-glib to work with appstream data
   which provides information about apps and other components.
 * App details pages show version history information when it's available.
 * The loading page now shows the full color icon instead of the symbolic one.
 * UI elements for displaying app add-ons have been tweaked to more closely match the designs.
 * Installed icons and the badge showing the number of updates available were changed back to blue
   from green.
 * The dropdown showing the available sources of an application includes the packaging format
   (e.g. Flatpak vs RPM).
 * A bug was fixed that prevented installation of .flatpakref files

Translation updates:
 * Catalan
 * Czech
 * Galician
 * Indonesian
 * Panjabi
 * Portuguese
 * Slovenian
 * Spanish
 * Swedish

Version 40~alpha
~~~~~~~~~~~~~~~~
Released: 2021-01-27

This is the first unstable release for GNOME 40.
 * Small updates to how app descriptions and addons are presented on the details page
 * Fix handling of pending app installations when going online
 * Better support for dark themes (particularly Adwaita-Dark)
 * Improvements to how app screenshots are loaded and presented
 * Hide ‘Launch’ button if an application (for example, Wine) cannot be launched
 * Make the UI clearer when loading information from flatpakref files
 * Don’t update app metadata on start when download-updates is disabled
 * Fix opening the updates list when clicking on an updates notification
 * Fix state updates when installing flatpak apps or repos which are already installed
 * Add Ctrl+Q as a keyboard shortcut for closing the window
 * Rework timing and content of software update notifications
 * Prevent uninstalled local apps from appearing in the installed apps list
 * Support installation/uninstallation of addons for flatpak apps
 * Improve presentation of age ratings for apps
 * Fix a crash in the updates page
 * Fix presentation of app permissions for fully sandboxed flatpak apps
 * Fix deadlock on rpm-ostree systems
 * Fix presentation of version number changes in right-to-left locales
 * Error handling improvements for fwupd
 * Performance improvements for ODRS on startup
 * Improve presentation of firmware warning messages
 * XML parsing performance improvements
 * Automatically remove end-of-life flatpak runtimes
 * Support updating flatpaks to their new name when they are renamed
 * Update the GNOME Software icon
 * Support more search results in the snap store
 * Drop libgnome-desktop-3 dependency in favour of gsettings-desktop-schemas

This release also updates translations:
 * Basque
 * Bokmål, Norwegian
 * Catalan
 * Chinese (Taiwan)
 * Czech
 * Friulian
 * Galician
 * German
 * Greek, Modern (1453-)
 * Hebrew
 * Indonesian
 * Italian
 * Kabyle
 * Kazakh
 * Latvian
 * Lithuanian
 * Persian
 * Portuguese
 * Portuguese (Brazil)
 * Romanian
 * Slovak
 * Spanish
 * Turkish
 * Ukrainian
 * Vietnamese

Version 3.37.92
~~~~~~~~~~~~~~~
Released: 2020-09-01

This is an unstable stable release with the following changes:
 * Add sysprof support for profiling jobs
 * Add webflow and basic auth support to flatpak plugin
 * Coalesce refresh operations where possible
 * Correctly mark layered rpm-ostree local packages as removable
 * Fix flatpak bundle installation
 * Handle invalid snap auth data
 * Improve flatpak progress reporting for transactions
 * Improve the heuristic for detecting old-style AppStream override files
 * Many performance improvements in many areas of the code
 * Only delete the firmware archive if we downloaded it to the cache
 * Show a pulsing progress bar if progress is unknown
 * Support loading appstream files from custom install prefix
 * Use the runtime fwupd version for the user agent

This release also updates existing translations.

Version 3.36.0
~~~~~~~~~~~~~~
Released: 2020-03-11

This is the first stable release for GNOME 3.36.

Version 3.35.92
~~~~~~~~~~~~~~~
Released: 2020-03-04

This is an unstable stable release with the following changes:
 * Fix crash when viewing application details
 * Fix “thrice daily” check running every 3 days
 * Improve the appearance of the front page banners
 * Show the correct upgrade banner contents when a reboot is requried

This release also updates existing translations.

Version 3.35.91
~~~~~~~~~~~~~~~
Released: 2020-02-19

This is an unstable stable release with the following changes:
 * Add an info bar about automatic updates
 * Avoid rpm-ostree downgrade error when doing distro upgrade
 * Click on stars to open review dialog in the details view
 * Fix loading of icons from AppStream YAML
 * Fix weird font sizes in the batter
 * Hide any in-app notifications when closing the main window
 * Integrate better with snapd
 * Only ignore flatpak estimated progress if >10%
 * Remove color stripes on categories in the Explore page
 * Remove support for Shell extensions
 * Remove webapp support
 * Reset star rating when loading an unrated app
 * Sort applications using locale based algorithms
 * Stop snaps from being automatically updated

This release also adds and updates existing translations.

Version 3.35.2
~~~~~~~~~~~~~~
Released: 2019-11-25

This is an unstable stable release with the following changes:
 * Add missing OARS content rating descriptions
 * Add new plugin for restricting access to apps
 * Avoid a UI crash when switching modes
 * Build libmalcontent dependency on Fedora CI
 * Correctly distinguish empty content ratings from missing ones
 * Correctly set the application state if autoupdate is in progress
 * Do not show a crazy error when installing packages
 * Do not show non-applications in the installed panel
 * Download Flatpak updates in the correct installation
 * Expose snap channels as app alternates
 * Fix a crash on 32-bit systems
 * Fix langpacks autoinstall on Fedora SilverBlue
 * Fix manual detach when updating removable device firmware
 * Fix third party repo enabling not working
 * Hide add/remove shortcut buttons for parentally filtered apps
 * Improve some front page banners
 * Invalidate caches when adding or removing remotes
 * Make flatpak more thread-safe to fix some crashes
 * Match the exact ID when refining a wildcard
 * Only set the app row's buttons as destructive when they remove an app
 * Remove hardcoded-featured plugin
 * Remove the app folder functionality as this is now built-in to the shell
 * Remove the banner editor as this is now an app on it's own
 * Rework age ratings handling to avoid hard-coded list
 * Set the shell extension origin correctly in all cases
 * Show the channel for snaps
 * Speed up the flatpak plugin in some situations
 * Use plugin API to launch apps from install notification.

This release also adds and updates existing translations.

Version 3.34.0
~~~~~~~~~~~~~~
Released: 2019-09-09

This is a stable release with the following changes:
 * Add a link to the privacy policy in the review dialog
 * Add and improve many overview banners
 * Add support for download scheduling using Mogwai
 * Allow installing locale data automatically
 * Allow snaps to be shown by AppStream ID
 * Don't apply drop shadow on stock symbolic icons
 * Don't install queued apps when the network changes and is metered
 * Fix the 'localised in my language' kudo
 * Hide addons that are not available in repos
 * Localize ESRB content rating strings
 * Never show the installation progress bar going backwards
 * Notify the user when an application can escape the sandbox
 * Refactor screenshots and hide those unavailable when offline
 * Select the rating systems selected based by territory
 * Use smaller default size for main window when required

This release also adds and updates existing translations.

Version 3.32.4
~~~~~~~~~~~~~~
Released: 2019-07-11

This is a stable release with the following changes:
 * Fix an issue that led to some packages with multiple appdata files not correctly showing up on
   the updates page
 * Fix various problems with flatpak branch handling that were causing issues with freedesktop.org
   runtime updates
 * Fix flatpak update versions to correctly show up
 * Various other minor bug fixes

Version 3.32.3
~~~~~~~~~~~~~~
Released: 2019-05-24

This is a stable release with the following changes:
 * Add missing XbSilo locking, hopefully fixing a large number of reported crashes
 * Fix a regression that caused the fonts category to go missing
 * Show a placeholder on the details page when we don't have the actual icon
 * Plug a large memory leak
 * Use nicer arrows for version numbers on the updates page
 * Fix an issue that led to screenshots not being correctly scaled on hidpi
 * flatpak: Fix several double-uses of GErrors
 * flatpak: Handle failure of a libflatpak function updating permissions
 * rpm-ostree: Implement what-provides decompose

Version 3.32.2
~~~~~~~~~~~~~~
Released: 2019-05-07

This is a stable release with the following changes:
 * Avoid showing a review more than once
 * Correctly update progress bar when downloading packagekit distro upgrades
 * Fix a crash when closing the updates dialog before the content has loaded
 * Fix CTRL+F not working right in certains conditions
 * Set 022 umask to make sure flatpak system helper process can read the files we've written
 * rpm-ostree: Implement getting the repo list, and enabling and disabling repos
 * rpm-ostree: Implement provides search
 * rpm-ostree: Make layered apps not discoverable in the UI
 * Various other minor bug fixes

This release also updates translations.

Version 3.32.1
~~~~~~~~~~~~~~
Released: 2019-04-15

This is a stable release with the following changes:
 * Add drop shadows to app icons
 * Various fixes to initial loading screen
 * Show a generic icon instead of empty space if we failed to load the app icon
 * Update featured banners for Maps and Blender
 * Update featured app IDs
 * Fix a crash due to missing locking
 * Fix missing back button under certain conditions
 * Fix loading AppSteam data from .yml.gz files
 * Fix an issue that caused flatpak repo to not be correctly shown when it matched an existing
   packagekit repo name
 * Hide the fwupd Vendor repo in the repos dialog

This release also updates translations.

Version 3.32.0
~~~~~~~~~~~~~~
Released: 2019-03-11

This is the first stable release for GNOME 3.32. Notable changes compared to 3.30 include:
 * Appstream parsing is completely rewritten and now uses the new libxmlb library, instead of
   appstream-glib
 * Improved handling for apps that are available from multiple sources, e.g. as a flatpak from
   Flathub, as a flatpak from Fedora, and as an RPM package
 * New source selection drop down on the details pages
 * Flatpak apps now list the permissions they need on the details pages, and also show new
   permissions when updating
 * The flatpak backend received a large number of bug fixes
 * The rpm-ostree backend has grown many new features and bug fixes, including support for
   installing layered packages and doing distro upgrades
 * Numerous fixes for error reporting, including making error messages more useful and avoiding
   showing network errors from background operations
 * The items in the app menu were all moved to the window menu
 * New redesigned icon

Version 3.31.92
~~~~~~~~~~~~~~~
Released: 2019-03-05

This is an unstable release in the 3.31 development series, marking the end of the development
cycle. Next release will be 3.32.0!
 * Add two missing description strings for flatpak permissions
 * Only show permissions for flatpak apps and not for e.g. fonts
 * Fix flatpak permissions to correctly show up for available apps
 * Hide various details page items that don't make sense when showing .flatpakrepo files
 * Fix an issue that caused descriptions to sometimes not get correctly loaded
 * Sort the items in the Source drop down
 * Don't show error notifications for background download and refresh errors
 * Fix an issue that could cause an explosion of "A restart is required" notifications
 * Various flatpak plugin fixes to make it correctly match the data when multiple flatpak repos
   are available
 * Fix the rpm-ostree plugin to correctly convert remote dbus errors

This release also updates translations.

Version 3.31.90
~~~~~~~~~~~~~~~
Released: 2019-02-24

This is an unstable release in the 3.31 development series, with the following improvements:
 * Fix showing the installed check mark on tiles
 * Fix crashes in the packagekit plugin due to missing locking
 * Add back support for appstream data in /var/{cache,lib}/app-info directories that accidentally
   got left out with the libxmlb rewrite
 * Update the featured banner for gnome-chess
 * Fix the details page alignment when only one screenshot is shown
 * Move the Update button to the right hand side on the details page
 * Fix enabling repos when installing codecs through the extras page
 * Remove the Sundry folder and sync the apps in the Utilities folder with gnome-menus 3.31.90
 * Improve various content rating texts
 * Drop workarounds for locales with codesets
 * Use the currently selected icon theme for stock icons
 * Don't hide compulsory apps in the category views
 * Use the SPDX-License-Identifier in all source files
 * Remove various useless error prefixes, making flatpak and packagekit error messages shorter and
   easier to read
 * flatpak: Show the installation type (user, system) in the Source dropdown
 * flatpak: Let apps control the name suffix/prefix they have and don't force (Nightly) suffix for
   everything on the master branch
 * flatpak: Various fixes for matching flatpaks to appstream entries
 * flatpak: Distinguish between the same app coming from multiple remotes
 * rpm-ostree: Correctly resolve installed appdata files to package names
 * rpm-ostree: Hook up percentage progress for install and remove
 * rpm-ostree: Implement layered package install
 * rpm-ostree: Implement locally downloaded rpm install
 * rpm-ostree: Show the source of the packages when installing layered packages
 * rpm-ostree: Various fixes making things more robust
 * snap: Use new media API

This release also updates translations.

Version 3.31.2
~~~~~~~~~~~~~~
Released: 2019-01-16

This is an unstable release in the 3.31 development series, with the following improvements:
 * Show permissions for installed flatpaks, and new permissions for updates
 * Use libxmlb to parse AppStream XML, making gnome-software start up faster and use less memory
 * Update the app icon
 * Update categories for ESRA rating system
 * Improve various error messages to have more details
 * Fix an issue that caused incorrect version numbers to be shown for installed flatpaks
 * Fix various thread safety related crashes
 * Fix row unrevealing to not leave behind 2 pixels on the updates page
 * Make the refresh button to actually refresh packagekit cache
 * Fix various issues that could lead to cache refresh getting stuck
 * Show updates available notifications even when automatic updates are disabled
 * Fix counting apps in the updates applied notification
 * Improve packagekit update loading code, hopefully making it more robust
 * Fix an issue that could lead to the packagekit plugin activating on rpm-ostree based systems
 * Switch flatpak updates to use a single transaction, which lets us share more code (and bugs)
   with the command line flatpak utility
 * Fix various issues with transitioning from the "Download" state to "Restart & Update"
 * Don't error out from update downloads if the ODRS server is unavailable
 * Fix old updates accumulating in the OS Updates item
 * Various flatpakref installation fixes
 * Fix opening the details page when clicking on "Show Details" in GNOME Shell
 * Fix opening shell extensions details from GNOME Tweaks
 * Various fixes for initial loading state
 * Add a separate "Download" step for packagekit offline updates, so that "Restart & Update" is
   instant
 * Fix a version comparison issue that led to package updates sometimes showing as downgrades in
   the OS Updates section (this needs latest appstream-glib)
 * Show the refresh button when the updates page is in the failed state
 * Notify about offline updates only after they are fully downloaded
 * Fix a memory corruption issue on 32-bit arches that made gnome-software very crashy
 * Fix an issue with stuck back button on the details page after closing and reopening
   gnome-software
 * Make distro upgrades to Fedora N+2 release show up correctly
 * Various flatpak plugin fixes
 * Allow opening CAB files that include more than one update
 * Fix critical warnings when quickly switching between category pages
 * Small memory leak fixes

This release also updates translations.

Version 3.31.1
~~~~~~~~~~~~~~
Released: 2018-10-09

This is an unstable release in the 3.31 development series, with the following improvements:
 * Icon redesign
 * Switch to using window menus instead of app menu
 * Add a source selection drop down to details pages
 * Move the search button to the left side in the header bar
 * Various other minor UI tweaks
 * GtkBuilder UI file changes to pave the way for an eventual GTK4 port (please file issues for
   any UI layout regressions if you notice any!)
 * Various internal plugin loader fixes and cleanups
 * Remove the steam plugin
 * Simplify the details page loading
 * Fix an issue that caused icons to not get loaded for locally installed flatpaks
 * Update Fedora distro upgrades text
 * Avoid a critical warning in the fwupd plugin when the device vendor is not set
 * Show verified developers for snaps

This release also updates translations.

Version 3.30.2
~~~~~~~~~~~~~~
Released: 2018-10-05

This is a stable release with the following changes:
 * Localize the polkit policy file
 * Display ongoing app-installation at top of the list
 * Update apps in display order
 * Fix autoupdates triggering in a feedback loop
 * Tweak the prefs dialog layout
 * Various fixes to the flatpak plugin, making its state keeping more robust
 * Fix flatpak errors to show up instead of a generic "Aborted" error
 * Avoid triggering reboots for online updatable apps (flatpak)
 * Make rpm-ostree updates work again
 * Fix an issue that caused duplicate lines in 'OS Updates' on rpm-ostree based systems
 * Compiler warning fixes

This release also updates translations.

Version 3.30.1
~~~~~~~~~~~~~~
Released: 2018-09-25

This is a stable release with the following changes:
 * Fix an issue that caused duplicate lines in 'OS Updates'
 * Filter the application restart notification to actual desktop apps
 * Fix an issue that caused automatic updates to fail during download phase
 * Avoid showing duplicates in the featured apps when an app is available as both flatpak and a
   package
 * Fix an issue that caused gnome-software to use 100% of CPU when doing automatic updates
 * Lower IO priority for gnome-software so that other apps stay responsive during flatpak installs
 * Various fixes and wording changes to automatic updates notifications
 * Only show "Examine Disk" button when baobab is available
 * Leak and correctness fixes in the snap plugin

This release also updates translations.

Version 3.30.0
~~~~~~~~~~~~~~
Released: 2018-09-04

This is the first stable release for GNOME 3.30.

Version 3.29.92
~~~~~~~~~~~~~~~
Released: 2018-08-28

This is an unstable release in the 3.27 development series, with the following improvements:
 * Do not go 'back' to a previous application details panel
 * Don't crash if when getting the fwupd locked status
 * Download updates automatically when required
 * Fix dark theme support
 * Hide screenshot and support widgets when no screenshots
 * Ignore non-interactive generic errors
 * Implement distro upgrade downloading when using rpm-ostree
 * Only update the update check timestamp when it succeeds
 * Open the WiFi panel when clicking the Network Settings button
 * Rotate featured apps on the overview page
 * Simplify the updates panel
 * Use FlatpakTransaction to install, remove and update
 * Use new display name for the Snap publisher
 * Use the full name for the ESRB ratings descripion

This release also updates translations.

Version 3.29.1
~~~~~~~~~~~~~~
Released: 2018-03-05

This is an unstable release in the 3.27 development series, with the following improvements:
 * Show a better notification when a local file or URI is not supported
 * snap: Use ODRS for reviews

This release also updates translations.

Version 3.28.2
~~~~~~~~~~~~~~
Released: 2018-05-09

This is a stable release with the following changes:
 * Add a warning when enabling the LVFS remote
 * Show a notification when failing to open an url or a local file
 * Fix multiple flatpak refreshes with new libflatpak
 * Build fixes for FreeBSD
 * Icon loading fixes for snap

This release also updates translations.

Version 3.28.1
~~~~~~~~~~~~~~
Released: 2018-04-09

This is a stable release with the following changes:
 * Fix a regression with opening results from gnome-shell search
 * Show "Source: " tag in gnome-shell search when we have multiple matches
 * Improve unknown license tag color scheme on details page
 * Don't show installed icon on app tiles while still installing
 * Fix empty items appearing under OS Updates
 * Fix a regression that caused duplicate results in codec search
 * Fix an issue with passing username/password to packagekit proxy
 * Avoid crashing during first run with no network access
 * A number of rpm-ostree fixes, making it possible to trigger offline updates
 * Stop searching multiple times on search page
 * Update Fedora third party repositories "Find out more..." link
 * Fix an issue with in-app notifications failing with invalid markup errors
 * Improve purchase failure handling for the snap store
 * Fix a possible crash in snap plugin when adding screenshots
 * Various other crash and correctness fixes

This release also updates translations.

Version 3.28.0
~~~~~~~~~~~~~~
Released: 2018-03-12

This is the first stable release for GNOME 3.28, with the following improvements:
 * Fix the build on NixOS
 * Fix purchasing not working after authentication
 * Revert a commit that led to flatpak updates failing without any feedback
 * Make front page featured tile corners round to match other tiles
 * Fix in-app notification close button alignment
 * Several fixes to make error notifications more useful
 * snap: Fix invalid metadata after cancelled refine
 * snap: Launch command line snaps with 'snap run'

This release also updates translations.

Version 3.27.92
~~~~~~~~~~~~~~~
Released: 2018-03-05

This is an unstable release in the 3.27 development series, marking the end of the development
cycle. Next release will be 3.28.0!
 * Removal of global plugin cache, simplifying gnome-software internals
 * Software Repositories dialog got another batch of improvements and UI changes
 * GNOME Shell Extensions repository and fwupd repositories are now shown in the Software
   Repositories dialog
 * Shell extensions handling through PackageKit was improved, fixing a long standing bug where we
   were unable to remove shell extension packages
 * Category page rewrite that landed earlier this cycle went through UI review and got a number of
   fixes
 * Package version comparison in the updates dialog was fixed and should no longer incorrectly
   show updates as downgrades
 * Distro upgrade notifications are now rate limited to once per week
 * Install buttons in codec install view that got lost in the 3.22 cycle are now back
 * Various paper cuts with distro upgrades were fixed
 * Various fixes to installing apps from yum repos that have enabled=0 enabled_metadata=1
 * Various other correctness and warning fixes
 * Distros: Minimum supported fwupd version is now 1.0.3
 * Distros: We've released PackageKit 1.1.9 that has string changes to match gnome-software 3.28

This release also updates translations.

Version 3.27.90
~~~~~~~~~~~~~~~
Released: 2018-02-14

This is an unstable release in the 3.27 development series, with the following improvements:
 * The Software Sources dialog was renamed to Software Repositories and rewritten
 * Fedora Workstation third party repository handling was rewritten and should be more robust
 * Improved handling of metered network connections, making sure we cancel any downloads when
   changing to a metered connection
 * Limit the number of parallel operations depending on the installed CPU
 * Improved handling of pending installs when there's no network connection
 * Unused ostree and rpm plugins were dropped
 * Switch from GtkSpell to gspell
 * Improve alignment on the updates page
 * Do not show missing screenshot error for fonts that have screenshots
 * Fix various issues on Ubuntu when purchasing apps
 * Fix an issue that led to duplicate categories appearing on the overview page
 * Various memory leak and correctness fixes

This release also updates translations.

Version 3.27.4
~~~~~~~~~~~~~~
Released: 2018-01-08

This is an unstable release in the 3.27 development series, with the following improvements:
 * Add missing locking to gs_plugin_cache_remove(), fixing a possible crash
 * Fix various memory leaks spotted by valgrind
 * Fix a possible crash triggered by the fwupd plugin
 * Do not emit critical warnings when reviewing OS Updates
 * fwupd: Use the custom user-agent when downloading firmware
 * overview page: Fix a crash when we have no featured apps
 * packagekit: Implement repository enabling
 * Fix hover CSS for "unknown" and "nonfree" license buttons

This release also updates translations.

Version 3.27.3
~~~~~~~~~~~~~~
Released: 2017-11-13

This is an unstable release in the 3.27 development series, with the following improvements:
 * Fix crashes in the repos plugin due to missing locking
 * Add translated strings for the new OARS v1.1 additions
 * Work around Firefox deleting rpm/deb files downloaded to /tmp when closing
 * Log errors to console when starting from command line
 * Do not enable distro-upgrades when updates are disabled
 * Do not require the user to keep clicking 'More reviews' after each click
 * Fix a critical when updating (flatpak) packages live
 * fwupd: Do not crash when trying to list a locked device
 * fwupd: Prepend the vendor name to the device name if not included
 * Improve SPDX ID parsing when working out if it is 'free'
 * packagekit: Do not crash when getting an invalid ID from PackageKit
 * packagekit: Support apt:// URLs
 * Various fixes to the snap plugin
 * Do not crash when closing the source dialog while it is loading

This release also updates translations.

Version 3.27.2
~~~~~~~~~~~~~~
Released: 2017-11-13

This is an unstable release in the 3.27 development series, with the following improvements:
 * Redesigned category view
 * Better notifications for completed distro upgrades
 * Number of test suite fixes to pave way for continuous integration tests
 * Improved support for running on low res displays
 * Various fixes to internal state handling
 * Allow linking to specified proprietary licenses
 * Don't use versioned subdirectories under ~/.cache/gnome-software
 * Only show in-app notifications for interactive user actions
 * Various fixes for flatpak, fwupd, and snap support

This release also updates translations.

Version 3.26.2
~~~~~~~~~~~~~~
Released: 2017-11-09

This is a stable release with the following changes:
 * Various fixes to cancellable handling, making it more robust to cancel install/remove
   operations
 * Fix a common crash in Fedora distro upgrades plugin
 * Fix showing N+2 Fedora upgrades
 * Fix flatpak updates inadvertently triggering a reboot
 * Revert plugin GType registering changes that broke app "adopting"
 * Various flatpak plugin fixes
 * Various snap plugin fixes
 * Bump fwupd required dep to 0.9.7 and support building with new 1.0.0 API
 * Avoid erroring out for operations that return more than 500 results (distro upgrades, getting
   gnome-shell extensions list)
 * Fix a few memory leaks

This release also updates translations.

Version 3.26.1
~~~~~~~~~~~~~~
Released: 2017-10-02

This is a stable release with the following changes:
 * Fix memory leak in "external appstream" plugin
 * Don't translate an icon name in the Punjabi translation
 * Fix critical warning in the fwupd plugin if the update URI isn't set
 * Fix Addon categories not showing
 * Fix crash in PackageKit plugin if reporting progress with no current application
 * Revert a change in the snapd plugin which can cause operations to fail or hang in some
   situations

This release also updates translations.

Version 3.26.0
~~~~~~~~~~~~~~
Released: 2017-09-11

This is the first stable release for GNOME 3.26, with the following improvements:
 * Use the new fwupd API in 0.9.7 to avoid when a reboot is required
 * Pass the complete proxy settings to PackageKit

The following bugs are also fixed:
 * Do not crash when emitting an uncommon error message
 * Do not show a critical warning with new versions of fwupd
 * Do not show an error for a remote-less flatpakref application
 * Don't refine PackageKit packages after we've been cancelled
 * Fix a possible crash on 32 bit systems
 * Fix GNOME Shell search results for snap applications
 * Properly disable shell-extensions when not running GNOME Shell

This release also updates translations.

Version 3.25.91
~~~~~~~~~~~~~~~
Released: 2017-08-21

This is an unstable release in the 3.25 development series, with the following improvements:
 * Add a simple donation button on the details page

The following bugs are also fixed:
 * Allow plugins to say that installation cannot be cancelled
 * Fix displaying the info bar for the Shell Extensions category
 * Use first featured snap as the featured app

This release also updates translations.

Version 3.25.90
~~~~~~~~~~~~~~~
Released: 2017-08-07

This is an unstable release in the 3.25 development series, with the following improvements:
 * Add a simple donation button on the details page

The following bugs are also fixed:
 * Do not crash if the child schema is invalid
 * Don't log a warning when clicking the the 'more results' search entry
 * Fixed subcategory names localization
 * Ensure flatpak remote names are valid
 * Fix critical warning with new versions of the fwupd daemon

This release also updates translations.

Version 3.25.4
~~~~~~~~~~~~~~
Released: 2017-07-21

This is an unstable release in the 3.25 development series, with the following improvements:
 * Add new rpm-ostree integration for Fedora Atomic Workstation
 * Install the Flatpak runtime as part of the application install phase
 * Split OS updates up into multiple sections and show the target version
 * Support compatibility IDs when getting reviews from the ODRS

The following bugs are also fixed:
 * Cancel plugin jobs if they take too much time
 * Correctly find already installed flatpak runtimes
 * Do not show an error for a flatpakref when broken remotes exist
 * Don't show the screenshot section for runtimes
 * Fix authentication prompt not showing when using snapd
 * Make license buttons buttons actually look clickable
 * Make the review moderator panel easier to use
 * Only show snaps as sandboxed if snapd supports confinement
 * Respect the per-user or per-system install preferences
 * Return the correct installed state for user/system flatpak remotes

This release also updates translations.

Version 3.25.3
~~~~~~~~~~~~~~
Released: 2017-06-22

This is an unstable release in the 3.25 development series, with the following improvements:
 * Add a banner designer utility
 * Add the initial support to support purchasable apps
 * Automatically install flatpak icon themes and GTK themes
 * Restyle the updates panel to have a separate sections
 * Show a notification in the updates page when the OS is end of life
 * Show recently updated applications on the overview page

The following bugs are also fixed:
 * Add snap self tests and provide more data to the details panel
 * Allow compiling with newer versions of meson
 * Do not crash when sending progress reports while refreshing
 * Don't trigger systemd for every single offline update
 * Ensure all related flatpak applications get installed
 * Ensure we use the gnome-desktop support if enabled
 * Fix searching for codecs on Ubuntu
 * Show a better status messages when downloading metadata
 * Show a pulsing progressbar if plugins do not report progress
 * Show the PackageKit interactive dialog when required
 * Support updating metadata from multiple fwupd remotes

This release also updates translations.

Version 3.25.2
~~~~~~~~~~~~~~
Released: 2017-05-08

This is an unstable release in the 3.25 development series, with the following improvements:
 * Allow AppStream to be downloaded out-of-band per-user

The following bugs are also fixed:
 * Do not initialize plugins in every instance
 * Fix the 'Show Details' context menu item in GNOME Shell
 * Use headerbar in toolbar-mode in Unity
 * Do not allow plugins to set the origin title in the UI

This release also updates translations.

Version 3.25.1
~~~~~~~~~~~~~~
Released: 2017-04-28

This is an unstable release in the 3.25 development series, with the following improvements:
 * Truncate the search results if there are a large number
 * Use the complete source as a search keyword

The following bugs are also fixed:
 * Fall back to a stock icon for hardware drivers
 * Fix a crash when removing an addon
 * Fix a critical warning in the shell search provider
 * Fix popular-overrides to show the correct applications
 * Fix various failures to read from snapd
 * Make offline updates work when online updates are available
 * Never include the size of the runtime in the installed size
 * Respect the install preference when for flatpakref files
 * Use the developer name in preference to the project group

This release also updates translations.

Version 3.23.92
~~~~~~~~~~~~~~~
Released: 2017-03-13

This is an unstable release in the 3.23 development series, with the following bug fixes:
 * Allow installing broken flatpakref files
 * Do not reload the updates list when updates are in progress
 * Reset the headerbar title when switching to the details page
 * Unconditionally show things that are in progress in the Installed page

This release also updates translations.

Version 3.23.91
~~~~~~~~~~~~~~~
Released: 2017-02-27

This is an unstable release in the 3.23 development series, with the following improvements:
 * Add support for RuntimeRepo in flatpakref files
 * Allow the user to restart the currently running gnome-software instance
 * Never show components without AppData files

The following bugs are also fixed:
 * Initialize progress to zero right before and after processing an action
 * Animate the removal of live updates
 * Add YaST as a default folder in gnome-shell overview

This release also updates translations.

Version 3.23.90
~~~~~~~~~~~~~~~
Released: 2017-02-13

This is an unstable release in the 3.23 development series, with the following improvements:
 * Handle apt and snap URLs
 * Show the updates panel with sections
 * Sort the apps in the installed panel by kind

The following bugs are also fixed:
 * Add a more detailed error message when AC power is required
 * Do not hardcode the gnome-software application name
 * Ensure firmware is downloaded when not cached
 * Fix a rather large memory leak when loading Steam data
 * Fix launching Flatpak apps after updating
 * Install needed Flatpak runtimes when updating an app
 * Only show the scary firmware warning for removable devices

This release also updates translations.

Version 3.23.3
~~~~~~~~~~~~~~
Released: 2016-12-15

This is an unstable release in the 3.23 development series, with the following improvements:
 * Add an --install and --interaction CLI options
 * Add the installed size of the apps in the installed view
 * Always set a description for each notification
 * Show an in-app notification when installed plugins are changed
 * Use a set of stars to show the different star ratings

The following bugs are also fixed:
 * Add a missing error check to fix a common crash on LiveDVD media
 * Add thread locking in GsApp to fix some common crashes
 * Allow upgrading to Fedora EOL releases
 * Don't allow review actions when offline
 * Ensure we actually schedule firmware updates for download
 * Fix the getting of PackageKit and flatpak update details
 * Hide some notifications when the new app is launched or the window is closed
 * Hide the screenshot placeholder for input methods and langpacks

This release also updates translations.

Version 3.23.2
~~~~~~~~~~~~~~
Released: 2016-11-21

This is an unstable release in the 3.23 development series, with the following improvements:
 * Add a setting for downloading updates on metered connections
 * Add content rating interface for games
 * Add support for pending updates that are applied on demand
 * Add support for the flatpak DefaultBranch feature
 * Allow showing an application review without a display name
 * Convert the modal failure dialogs to in-app notifications
 * Switch to using the ODRS server hosted by GNOME

The following bugs are also fixed:
 * Always get the newest screenshot for GNOME Shell extensions
 * Avoid redownloading the same screenshots for different images
 * Don't download updates when low on power
 * Fix the growth in memory usage for every search request
 * Never show a 'back' button when showing search results
 * Show the search bar when the user does ctrl+f

This release also updates translations.

Version 3.22.2
~~~~~~~~~~~~~~
Released: 2016-11-07

This stable release fixes the following bugs:
 * Large number of fixes and improvements for flatpak support
 * Improved handling for flatpak repos with multiple branches
 * Initial support for installing flatpakrepo files
 * Fix a crash when searching for codecs
 * Fix a crash when de-duplicating applications
 * Speed improvements for loading appstream data
 * Refactor snapd handling code using snapd-glib
 * Show the search bar when the user does Ctrl+f

This release also updates translations.

Version 3.22.1
~~~~~~~~~~~~~~
Released: 2016-10-12

This stable release fixes the following bugs:
 * Fix several issues with flatpak bundles
 * Fix installing local packages
 * Fix a crash when failing to get an installed flatpak ref
 * Speed up loading the details and overview pages
 * Switch to using the ODRS server hosted by GNOME

This release also updates translations.

Version 3.22.0
~~~~~~~~~~~~~~
Released: 2016-09-19

This is the first stable release for GNOME 3.22 and updates several translations.

Version 3.21.92
~~~~~~~~~~~~~~~
Released: 2016-09-13

This is an unstable release in the 3.21 development series, with the following improvements:
 * Add a new section name in the Addons category for drivers
 * Add a plugin to match a hardware modalias

The following bugs are also fixed:
 * Do not hide the origin when installing or removing an app
 * Do not show the screenshot fallback image for firmware or drivers
 * Fix launching app's details from the installed notification
 * Fix showing the source line in the installed panel
 * Unbreak the GNOME Shell search provider
 * Use the same padding as a GtkStackSwitcher

This release also updates translations for many languages.

Version 3.21.91
~~~~~~~~~~~~~~~
Released: 2016-08-31

This is an unstable release in the 3.21 development series, with the following improvements:
 * Add functionality to enable non-free sources
 * Show the device bootloader screenshot when required

The following bugs are also fixed:
 * Always return consistent results by allowing plugins to share a cache
 * Ensure the search text is showing when going back to search results
 * Only enable the firmware 'Install' button when the device is in the right mode
 * Remove an app from the installed view when it's uninstalled
 * Show percentage progress when installing firmware

This release also updates translations for many languages.

Version 3.21.90
~~~~~~~~~~~~~~~
Released: 2016-08-15

This is an unstable release in the 3.21 development series, with the following improvements:
 * Limit the ODRS moderation queue to a specific language

The following bugs are also fixed:
 * Correctly load .flatpakrepo files
 * Don't get the download size for installed flatpak packages
 * Fix showing the progress bar when installing apps
 * Never try to modify the application name
 * Only notify about upgrades once per month

This release also updates translations for many languages.

Version 3.21.4
~~~~~~~~~~~~~~
Released: 2016-07-18

This is an unstable release in the 3.21 development series, with the following improvements:
 * Add a cancel button and progress information to the details page
 * Add a dialog to confirm upgrade removals
 * Add support for authenticating in plugins
 * Add support for snaps
 * Enable gtk-doc generation for documentation
 * Show a new-style category list on the overview page
 * Show origin information when applications are available from multiple sources
 * Show sandboxing information for selected applications
 * Show the star ratings in more places
 * Support installing .flatpakrepo files
 * Support launching applicatins using a appstream:// URL

The following bugs are also fixed:
 * Allow plugins to be enabled and disabled at runtime
 * Always show the 'MyLanguage' kudo when in en_US locale
 * Correctly trigger systemd offline updates when only processing OS updates
 * Disable app folders feature when run outside GNOME
 * Do not show buttons on the search results
 * Do not use deprecated CSS properties
 * Do not use deprecated fwupd API
 * Ensure reviews are shown in the correct order
 * Fix a crash when double clicking files
 * Fix several UX issues when upgrading
 * Show the 'More Reviews' button in the details panel
 * Try really hard to have two rows of important categories

This release also updates translations for many languages.

Version 3.21.2
~~~~~~~~~~~~~~
Released: 2016-05-23

This is an unstable release in the 3.21 development series, with the following improvements:
 * Add a --details-pkg option to the gnome-software binary
 * Add support for flatpak packages
 * Add a plugin to auto-add some license information
 * Add depends, requires and conflicts at initialize time
 * Add support for application key colors
 * Export a set of headers to allow external plugins to be built

The following bugs are also fixed:
 * Do not crash if plugins are badly behaved
 * Do not directly load pixbufs in the AppStream plugin
 * Do not unconditionally invalidate the updates list on hardware hotplug
 * Find the best AppSteam component when matching any prefixes
 * Fix crash due to network change before app activation
 * Fix launching various KDE4 applications
 * Support getting cached content from /var/cache and /usr/share

This release also updates translations for many languages.

Version 3.21.1
~~~~~~~~~~~~~~
Released: 2016-04-25

This is an unstable release in the 3.21 development series, with the following improvements:
 * Add an initial loading panel when there is no metadata
 * Add an outline ostree plugin that just adds remotes as sources
 * Add an unreviewable application quirk
 * Add initial Steam support
 * Add support for app shortcut addition/removal
 * Add support for GNOME Shell extensions
 * Allow free-but-unspecified SPDX tokens
 * Allow widgets to use custom CSS in a generic way
 * Do the PackageKit refresh as a background transaction
 * Hide "Software Sources" menu when its action is disabled
 * Make the distro upgrades dialog match the new mockup
 * Split the 'size' property into size-installed and size-download
 * Use a link instead of a button for history
 * Use AppStream files for the popular, featured and extra category data
 * Use dpkg-deb info to create a GsApp when double clicking on a .deb file
 * Use FwupdClient from fwupd 0.7.0
 * Use GdkPixbuf to parse icns files
 * Use gsettings to enable/disable the 'sources' action
 * Use the Fedora themed image for the upgrade banner
 * When there are no trusted sources mark everything as non-3rd-party

The following bugs are also fixed:
 * Actually show the error dialog for an invalid file
 * Allow all functions called by g_module_symbol() to fail
 * Allow popular and featured apps to match any prefix
 * Do not maintain a cache of applications in the plugin loader
 * Do not make the ODRS plugin depend on xdg-app
 * Do not re-request the distro-upgrade when switching pages
 * Do not show ratings and reviews for some component kinds
 * Do not show the distro-upgrade notification if the window is open
 * Do not use the header bar on Unity
 * Fix a crash when double clicking package files
 * Fix live installing firmware
 * Get the correct icon size when installing xdg-app bundles on HiDPI
 * Hide the kudo details panel for non desktop components
 * Load screenshots directly if their URLs point to local files
 * Lower the limits for review text
 * Make all the plugins more threadsafe
 * Make the provenance plugin non-specific to Fedora
 * Move header bar button creation into individual pages
 * Move the Install & Restart button below the upgrade banner
 * Never show star ratings on the category app tiles
 * Only show one modal dialog at a time
 * Only show the session manager restart if there were any non-live updates
 * Properly support multi-line .deb descriptions
 * Show a 'Install All' button when all the updates can be installed live
 * Show a modal dialog when downloading the distro-upgrade failed
 * Show the upgrades banner even if there are no updates to show
 * Use a cache file to respect the fedora-distro-upgrades cache-age
 * Use GFile instead of a filename when converting apps

This release also updates translations for many languages.

Version 3.19.91
~~~~~~~~~~~~~~~
Released: 2016-02-29

This is an unstable release in the 3.19 development series, with the following improvements:
 * Add an 'All' subcategory in the category shell
 * Add ratings and review functionality for Ubuntu
 * Install the xdg-app runtime as required automatically
 * Show a confirmation dialog before reporting a review
 * Show a guide label for the different star values
 * Support installing local xdg-app bundles

The following bugs are also fixed:
 * Correctly identify local packages with sources
 * Do not add multiple search results for the same app
 * Do not show xdg-app runtimes in the installed panel
 * Escape markup before showing modal dialogs

This release also updates translations for many languages.

Version 3.19.90
~~~~~~~~~~~~~~~
Released: 2016-02-15

This is an unstable release in the 3.19 development series, with the following improvements:
 * Add end-user application review functionality
 * Add support for upgrading the OS from one release to another
 * Add support for xdg-app and Limba bundles
 * Add tags to applications, and explain them in the details page
 * Update the list of featured applications on the front page

The following bugs are also fixed:
 * Add a missing tag to the software center metadata file
 * PackageKit support is now optional
 * Temporarily remove the remove button in the sources dialog
 * Use versioned user cache directories to pick up new screenshots

This release also updates translations for many languages.

Version 3.19.4
~~~~~~~~~~~~~~
Released: 2016-01-15

This is an unstable release in the 3.19 development series, with the following improvements:
 * Add a link to Wikipedia to explain proprietary and public domain software
 * Allow administrators to override the default popular applications
 * Improve the interface for device firmware updates and some can be done live
 * Make sure Characters and Disks show up in Utilities
 * Show 3rd party applications in the search results
 * Show a nicer installation dialog when installing local files
 * Speed up the application first-start and also speed up switching pages
 * Try to show if an application is free software

The following bugs are also fixed:
 * Do not crash on refresh if the fwupd daemon is not available
 * Fix installing web applications
 * Rework several windows to fit better on small screens
 * Use the correct user agent string when downloading firmware

This release also updates translations for many languages.

Version 3.18.3
~~~~~~~~~~~~~~
Released: 2015-11-05

This stable release fixes the following bugs:
 * Use the correct user agent string when downloading firmware
 * Fix a crash in the limba plugin
 * Fix installing web applications

This release also updates translations for many languages.

Version 3.18.2
~~~~~~~~~~~~~~
Released: 2015-10-15

This stable release fixes the following bugs:
 * Fix a regression that could lead to never finding any updates
 * Fix an issue with getting package details for apps without AppData

This release also updates translations for many languages.

Version 3.18.1
~~~~~~~~~~~~~~
Released: 2015-10-13

This stable release fixes the following bugs:
 * Do not force the cache refresh and delete otherwise valid packages
 * Fix several potential crashes when navigating and when installing
 * Get the new application icon for local packages after installation
 * Improve cold start time by only parsing AppStream data once
 * Make sure Characters and Disks show up in Utilities
 * Only download the fwupd metadata signature once per day
 * Show an empty space for no category results
 * Show applications without AppData in the installed panel

This release also updates translations for many languages.

Version 3.18.0
~~~~~~~~~~~~~~
Released: 2015-09-21

This is the first stable release for the GNOME 3.18 desktop!

Version 3.17.92
~~~~~~~~~~~~~~~
Released: 2015-09-15

This is an unstable release in the 3.17 development series, with the following improvements:
 * Fix getting firmware updates by parsing the metadata correctly
 * Make the application menu path correct in RTL locales
 * Don't keep the application running forever when run as a search provider

This release also updates translations for many languages.

Version 3.17.91
~~~~~~~~~~~~~~~
Released: 2015-09-03

This is an unstable release in the 3.17 development series, with the following improvements:
 * Better theming for the category sidebar
 * Use standard size icon in the about dialog
 * Support mouse back button for going back in dialogs
 * Fix incorrect alignment on the front page in RTL languages
 * Misc other minor bugs fixed

This release also updates translations for many languages.

Version 3.17.90
~~~~~~~~~~~~~~~
Released: 2015-08-19

This is an unstable release with the following bugs fixed:
 * Use CSS to style the error message details
 * Correctly align labels in the Add to Folder dialog

This release also updates translations for many languages.

Version 3.17.3
~~~~~~~~~~~~~~
Released: 2015-08-12

This is an unstable release in the 3.17 development series, with the following improvements:
 * Add basic support for Limba bundles
 * Automatically download new firmware metadata from LVFS
 * Hide updates UI on managed systems
 * Show a new notification when security updates remain unapplied
 * Show installation progress when installing applications
 * Use some new applications to the picked category

Bugs fixed in this release:
 * Do not show applications that are not available when searching by category
 * Don't crash when launching an app that has no desktop ID
 * Don't show applications without AppData in the category view
 * Fix a possible race and crash when loading icons
 * Fix locking in the AppStream code to fix several crashes
 * Use better error messages on offline update failure
 * Withdraw the notification when prepared update gets invalidated

This release also updates translations for many languages.

Version 3.17.2
~~~~~~~~~~~~~~
Released: 2015-06-05

This is an unstable release in the 3.17 development series, with the following improvements:
 * Make fwupd dependency automagic

Bugs fixed in this release:
 * Fix a regression from the previous unstable release that made it impossible to install updates
 * Fix a crash in the screenshot loader
 * Fix a crash in the sources dialog
 * Fix a crash when installing rpms that lack description
 * Wrap long descriptions in the update dialog

This release also updates translations for many languages.

Version 3.17.1
~~~~~~~~~~~~~~
Released: 2015-05-25

This is the first unstable release in the 3.17 development series, with a number of new features:
 * Support getting firmware updates through the fwupd daemon
 * Use a smaller number of tiles on the front page on small monitors
 * Rework internal modulesets, making it easier to edit the list of featured apps
 * Revert back to using a hand-picked list of featured apps
 * Several improvements to the sources dialog
 * Show better human readable names when searching for font scripts
 * Show a spinner while loading the data for the update history dialog

This release also updates translations for many languages.

Version 3.16.2
~~~~~~~~~~~~~~
Released: 2015-05-11

This release fixes the following bugs:
 * Remove redundant OK button from the updates installed notification
 * Display a better human readable title for printer drivers
 * Show a better UI for offline update failure dialog
 * Set default actions for the update done notifications
 * Allow searching for packages via the API without appdata
 * Fix showing webapps with non-local icons

This release also updates translations for many languages.

Version 3.16.1
~~~~~~~~~~~~~~
Released: 2015-04-14

This release fixes the following bugs:
 * Correctly save HiDPI images to HiDPI directories
 * Scroll the contents of the error message dialog

This release also updates translations for many languages.

Version 3.16.0
~~~~~~~~~~~~~~
Released: 2015-03-23

This stable release marks the release of GNOME 3.16!

Version 3.15.92
~~~~~~~~~~~~~~~
Released: 2015-03-16

This unstable release adds the following features:
 * React to theme changes
 * Rebase the HighContrast theme

This release fixes the following bug:
 * Fix HiDPI scale factor calculation
 * Align section headings in all views
 * Fix 'installed' overlays when using the HighContrast theme
 * Fall back to showing the top level category when no sub category exists
 * Fix a crash when using the pending applications feature

This release also updates translations for many languages.

Version 3.15.91
~~~~~~~~~~~~~~~
Released: 2015-03-02

This unstable release adds the following features:
 * Enable kinetic scrolling in updates dialog

This release fixes the following bug:
 * Always ensure that the back entry focus widget is valid
 * Don't show small screenshots on HiDPI hardware
 * Fix a crash when starting GNOME Software for the first time
 * Only show compatible projects when getting the featured list

Version 3.15.90
~~~~~~~~~~~~~~~
Released: 2015-02-16

This unstable release adds the following features:
 * Add a new panel for displaying session service results
 * Add a new version of the Modify interface
 * Require AppData for all available packages

This release fixes the following bug:
 * Use the new mockups for the 3rd party source install dialogs

Version 3.15.4
~~~~~~~~~~~~~~
Released: 2015-01-19

This unstable release adds the following features:
 * Fix searching with very small search terms

This release fixes the following bugs:
 * Do case-insensitive searching of suitable keywords
 * Fix a crash in the screenshot loader
 * Fix a crash when clicking the back button
 * Fix searching for keyworks with special chars
 * Show an error message when we fail to load details about a local file

Version 3.15.2
~~~~~~~~~~~~~~
Released: 2014-11-24

This unstable release adds the following features:
 * Show a blurred low-resolution screenshot while loading the HiDPI one

This release fixes the following bugs:
 * Do not show a random white line above the star rating widget
 * Do not show empty app boxes if no popular results are available
 * Do not try to download local web-app icons
 * Use blue stars for the user-ratings rather than gold
